﻿open System

//====================================================
// Подробное описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

Console.BackgroundColor <- ConsoleColor.Yellow
Console.ForegroundColor <- ConsoleColor.DarkRed
Console.OutputEncoding <- System.Text.Encoding.UTF8
// Окрашиваем в новый цвет полностью окно консоли.
Console.Clear()
Console.Title <- @"Игра ""Змейка"""

// Инициализация игры.
let game = Game.Game()

[<EntryPoint>]
let main argv =

    let mutable res = ConsoleKey.A

    while res <> ConsoleKey.Spacebar do
        let res1 = Console.ReadKey(true)

        if res1.Key = ConsoleKey.RightArrow then
            game.Right()

        if res1.Key = ConsoleKey.LeftArrow then
            game.Left()

        if res1.Key = ConsoleKey.DownArrow then
            game.Down()

        if res1.Key = ConsoleKey.UpArrow then
            game.Up()

        res <- res1.Key

    0 // return an integer exit code
